javax.resource

## Annotation Type ConnectionFactoryDefinition

-     @Retention(value=RUNTIME)
      @Target(value=TYPE)
      public @interface ConnectionFactoryDefinition

  Annotation used to define a Connector Connection Factory resource to be registered in JNDI. Once defined, a resource may be referenced by a component using the `lookup` element of the `Resource` annotation.
  Since:
    1.7
  Version:
    1.7
  See Also:
    `Resource`

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `interfaceName` The fully qualified name of the connection factory interface class.
    `String` | `name` JNDI name of the connection factory resource being defined.
    `String` | `resourceAdapter` The name of the resource adapter that the administered object must be created from.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `description` Description of the resource.
    `int` | `maxPoolSize` The maximum number of connections that should be allocated for a connection pool that backs this connnection factory resource.
    `int` | `minPoolSize` The minimum number of connections that should be allocated for a connection pool that backs this connnection factory resource.
    `String[]` | `properties` Properties of the Connection Factory.
    `TransactionSupport.TransactionSupportLevel` | `transactionSupport` The level of transaction support the connection factory resource needs to support.

- - ### Element Detail

    - #### name

          public abstract String name

      JNDI name of the connection factory resource being defined.

    - #### resourceAdapter

          public abstract String resourceAdapter

      The name of the resource adapter that the administered object must be created from. The resource adapter is required to be available at deployment time.

    - #### interfaceName

          public abstract String interfaceName

      The fully qualified name of the connection factory interface class.

    - #### description

          public abstract String description

      Description of the resource.
      Default:
        ""

    - #### transactionSupport

          public abstract TransactionSupport.TransactionSupportLevel transactionSupport

      The level of transaction support the connection factory resource needs to support. If a transaction support specification is specified, it must be a level of transaction support whose ordinal value in the `TransactionSupport.TransactionSupportLevel` enum is equal to or lesser than the resource adapter's transaction support classification.
      Default:
        javax.resource.spi.TransactionSupport.TransactionSupportLevel.NoTransaction

    - #### maxPoolSize

          public abstract int maxPoolSize

      The maximum number of connections that should be allocated for a connection pool that backs this connnection factory resource. The default for this attribute is vendor specific.
      Default:
        -1

    - #### minPoolSize

          public abstract int minPoolSize

      The minimum number of connections that should be allocated for a connection pool that backs this connnection factory resource. The default for this attribute is vendor specific.
      Default:
        -1

    - #### properties

          public abstract String[] properties

      Properties of the Connection Factory. These properties may be vendor-specific properties. Vendor-specific properties may be combined with or used to override the connection factory properties defined using this annotation. Connection Factory properties that are specified and are not supported in a given resource adapter or cannot be mapped to a vendor specific configuration property may be ignored.
      Default:
        {}

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.